Bug 871605 - Review Request: fedup-dracut - the Fedora Upgrade tool
Review Request: fedup-dracut - the Fedora Upgrade tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-30 16:33 EDT by Will Woods
Modified: 2012-11-01 11:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 11:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2012-10-30 16:33:30 EDT
Spec URL: https://github.com/wgwoods/fedup-dracut/blob/master/fedup-dracut.spec
SRPM URL: http://wwoods.fedorapeople.org/review/fedup/fedup-dracut-0.7-1.fc17.src.rpm
Description: These dracut modules provide the framework for upgrades and the tool that actually runs the upgrade itself.
Fedora Account System Username: wwoods
Comment 1 Kevin Fenzi 2012-10-30 16:54:22 EDT
I'll review this. Look for a full review in a bit.
Comment 2 Kevin Fenzi 2012-10-30 17:19:34 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
No checksum, but diff of sources from upstream checkout matches. 

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Doc subpackage needed/used. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. URL looks wrong?
URL:        http://github.com/wgwoods/fedup
should be fedup-dracut ?

2. Non blocker, some warnings in compile: 
system-upgrade-fedora.c: In function 'rpm_trans_callback':
system-upgrade-fedora.c:493:9: warning: format '%u' expects argument of type 'unsigned int', but argument 6 has type 'rpm_loff_t' [-Wformat]
system-upgrade-fedora.c:494:9: warning: format '%u' expects argument of type 'unsigned int', but argument 7 has type 'rpm_loff_t' [-Wformat]

3. rpmlint says: 

fedup-dracut.i686: W: spelling-error Summary(en_US) initramfs -> ministrants
fedup-dracut.i686: W: summary-not-capitalized C initramfs environment for system upgrades
fedup-dracut.i686: W: only-non-binary-in-usr-lib
fedup-dracut.src: W: spelling-error Summary(en_US) initramfs -> ministrants
fedup-dracut.src: W: summary-not-capitalized C initramfs environment for system upgrades
fedup-dracut.src:1: E: hardcoded-library-path in %{_prefix}/lib/dracut/modules.d
fedup-dracut.src: W: invalid-url Source0: fedup-dracut-0.7.tar.xz
fedup-dracut-plymouth.noarch: W: summary-not-capitalized C plymouth theme for system upgrade progress
fedup-dracut-plymouth.noarch: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 8 warnings.

All can be ignored, except the Source0 would be good to document or provide a direct 
download link. 

If you could fix the URL and the Source0 url before importing that would be great. 

This package is APPROVED.
Comment 3 Kevin Fenzi 2012-10-31 15:54:15 EDT
To save some time and allow bugs to start being reported: 

New Package SCM Request
=======================
Package Name: fedup-dracut
Short Description: dracut modules for the Fedora upgrade tool
Owners: wwoods
Branches: f18
InitialCC:
Comment 4 Kevin Fenzi 2012-10-31 22:07:47 EDT
Git done (by process-git-requests).
Comment 5 Will Woods 2012-11-01 11:32:50 EDT
URLs fixed, warnings fixed, source uploaded, package built:
  
  http://koji.fedoraproject.org/koji/buildinfo?buildID=363856

Note You need to log in before you can comment on or make changes to this bug.